Returns the current element

- « MongoDB\Driver\Cursor::__construct

- MongoDB\Driver\Cursor::getId »

- PHP Manual
- MongoDB\Driver\Cursor
- Returns the current element

# MongoDB\Driver\Cursor::current

(mongodb >=1.9.0)

MongoDB\Driver\Cursor::current — Returns the current element

### Description

public MongoDB\Driver\Cursor::current(): array|object|null

### Parameters

This function has no parameters.

### Return Values

Returns the current result document as an array or object, depending on the cursor's type map. If iteration has not started or the current position is not valid, `null` will be returned.

### See Also

- Iterator::current() - Return the current element